from unittest import TestCase
import numpy as np
from osirisl1services.blurreddata import SAO2010, O3BDM


class TestBlurredData(TestCase):
    def test_SAO2010(self):
        solar = SAO2010(sigma=np.arange(0.45, 0.46, 0.01))
        self.assertAlmostEqual(solar((0.4567, 350.1234)), 6.93981645e-11, delta=1.0e-18)

    def test_O3BDM(self):
        o3 = O3BDM(sigma=np.arange(0.45, 0.46, 0.01))
        self.assertAlmostEqual(o3((0.4567, 350.1234)), 1.19190111e-22, delta=1.0e-29)
